<!-- Auto-generated from JSON by GDScript docs maker. Do not edit this document directly. -->

# options.gd

**Extends:** [Control](../Control)

## Description

An options menu

## Property Descriptions

### backup\_settings

```gdscript
var backup_settings
```

The current settings

### settings\_changed

```gdscript
var settings_changed
```

The settings changed

## Method Descriptions

### show

```gdscript
func show()
```

Show the options

### initialize\_options

```gdscript
func initialize_options(p_settings)
```

Set the sliders to the values of the settings

#### Parameters
- p_settings: The settings to use

## Signals

- signal back_button_pressed(): The back button was pressed
